﻿// ConvertInfo : FairlyWrites 7.1.2.1 - 2014/08/05 14:25:45
{
  var objTOC = new TocObject();
  objTOC.setTitle("3DS Performance Tips");
  objTOC.setWindowTitle("3DS Performance Tips");
  objTOC.disablePrintPage();
  objTOC.setInsertTitlePage(true);
  objTOC.disableDisplayNumber();
  objTOC.disableViewFileIcon();
  objTOC.setBaselevel(0);
  objTOC.setSearchEnabled(true);


// 1. Introduction
  objTOC.addHeader("ID_55591963", 0, "1. Introduction", "Pages/Page_55591963.html", "");

// 1.1. About This Document
  objTOC.addItem("ID_55591963", 1, "1.1. About This Document", "Pages/Page_55591963.html", "PageId_55591964");

// 1.2. Items Tagged (Important)
  objTOC.addItem("ID_55591963", 1, "1.2. Items Tagged (Important)", "Pages/Page_55591963.html", "PageId_55591965");

// 1.3. About the CPU Cores
  objTOC.addItem("ID_55591963", 1, "1.3. About the CPU Cores", "Pages/Page_55591963.html", "PageId_55591966");

// 1.4. Platform Notation
  objTOC.addItem("ID_55591963", 1, "1.4. Platform Notation", "Pages/Page_55591963.html", "PageId_56758243");

// 2. Extended Applications
  objTOC.addHeader("ID_55594375", 0, "2. Extended Applications", "Pages/Page_55594375.html", "");

// 2.1. Enhanced Features in Extended Applications (Important)
  objTOC.addItem("ID_55594375", 1, "2.1. Enhanced Features in Extended Applications (Important)", "Pages/Page_55594375.html", "PageId_55594453");

// 2.2. Running Extended Applications on CTR
  objTOC.addItem("ID_55594375", 1, "2.2. Running Extended Applications on CTR", "Pages/Page_55594375.html", "PageId_55594502");

// 2.3. Checking the Operating Environment (Important)
  objTOC.addItem("ID_55594375", 1, "2.3. Checking the Operating Environment (Important)", "Pages/Page_55594375.html", "PageId_55594600");

// 2.4. Standard Applications With Reduced Performance Only on SNAKE
  objTOC.addItem("ID_55594375", 1, "2.4. Standard Applications With Reduced Performance Only on SNAKE", "Pages/Page_55594375.html", "PageId_55594479");

// 3. Graphics Processing
  objTOC.addHeader("ID_55591967", 0, "3. Graphics Processing", "Pages/Page_55591967.html", "");

// 3.1. About the Graphics Library (Important)
  objTOC.addItem("ID_55591967", 1, "3.1. About the Graphics Library (Important)", "Pages/Page_55591967.html", "PageId_55591968");

// 3.1.1. GR Library
  objTOC.addItem("ID_55591967", 2, "3.1.1. GR Library", "Pages/Page_55591967.html", "PageId_55591969");

// 3.1.2. NW4C (NintendoWare for CTR)
  objTOC.addItem("ID_55591967", 2, "3.1.2. NW4C (NintendoWare For CTR)", "Pages/Page_55591967.html", "PageId_55591970");

// 3.1.3. GD Library
  objTOC.addItem("ID_55591967", 2, "3.1.3. GD Library", "Pages/Page_55591967.html", "PageId_55591971");

// 3.1.4. GL Library (DMPGL)
  objTOC.addItem("ID_55591967", 2, "3.1.4. GL Library (DMPGL)", "Pages/Page_55591967.html", "PageId_55591972");

// 3.1.5. Direct Creation of 3D Commands
  objTOC.addItem("ID_55591967", 2, "3.1.5. Direct Creation of 3D Commands", "Pages/Page_55591967.html", "PageId_55591973");

// 3.2. Command Lists
  objTOC.addItem("ID_55591967", 1, "3.2. Command Lists", "Pages/Page_55591967.html", "PageId_55591974");

// 3.2.1. About Issuing Commands (Important)
  objTOC.addItem("ID_55591967", 2, "3.2.1. About Issuing Commands (Important)", "Pages/Page_55591967.html", "PageId_55591975");

// 3.2.2. Double-Buffering Command Lists (Important)
  objTOC.addItem("ID_55591967", 2, "3.2.2. Double-Buffering Command Lists (Important)", "Pages/Page_55591967.html", "PageId_55591976");

// 3.2.3. Reusing 3D Commands (Important)
  objTOC.addItem("ID_55591967", 2, "3.2.3. Reusing 3D Commands (Important)", "Pages/Page_55591967.html", "PageId_55591977");

// 3.2.4. Command Caches
  objTOC.addItem("ID_55591967", 2, "3.2.4. Command Caches", "Pages/Page_55591967.html", "PageId_55591978");

// 3.2.5. Using Command Buffer Jumps (Important)
  objTOC.addItem("ID_55591967", 2, "3.2.5. Using Command Buffer Jumps (Important)", "Pages/Page_55591967.html", "PageId_55591979");

// 3.2.5.1. Subroutine Placement
  objTOC.addItem("ID_55591967", 3, "3.2.5.1. Subroutine Placement", "Pages/Page_55591967.html", "PageId_55591980");

// 3.2.6. Reusing Commands for Stereoscopic Display (Important)
  objTOC.addItem("ID_55591967", 2, "3.2.6. Reusing Commands for Stereoscopic Display (Important)", "Pages/Page_55591967.html", "PageId_55591981");

// 3.3. Vertex Shader Programs and Lookup Tables
  objTOC.addItem("ID_55591967", 1, "3.3. Vertex Shader Programs and Lookup Tables", "Pages/Page_55591967.html", "PageId_55591982");

// 3.3.1. Vertex Shader Programs
  objTOC.addItem("ID_55591967", 2, "3.3.1. Vertex Shader Programs", "Pages/Page_55591967.html", "PageId_55591983");

// 3.3.2. Reducing Lookup Table (LUT) Loads
  objTOC.addItem("ID_55591967", 2, "3.3.2. Reducing Lookup Table (LUT) Loads", "Pages/Page_55591967.html", "PageId_55591984");

// 3.3.3. Changes in Loading Speed Due to 3D Command Buffer Address and Size
  objTOC.addItem("ID_55591967", 2, "3.3.3. Changes in Loading Speed Due to 3D Command Buffer Address and Size", "Pages/Page_55591967.html", "PageId_55591985");

// 3.4. Vertex Buffers and Texture Buffers
  objTOC.addItem("ID_55591967", 1, "3.4. Vertex Buffers and Texture Buffers", "Pages/Page_55591967.html", "PageId_55591986");

// 3.4.1. Placement of Vertex Buffers and Texture Buffers (Important)
  objTOC.addItem("ID_55591967", 2, "3.4.1. Placement of Vertex Buffers and Texture Buffers (Important)", "Pages/Page_55591967.html", "PageId_55591987");

// 3.4.2. Effective Use of the Vertex Cache (Important)
  objTOC.addItem("ID_55591967", 2, "3.4.2. Effective Use of the Vertex Cache (Important)", "Pages/Page_55591967.html", "PageId_55591988");

// 3.4.3. Improving Efficiency of Vertex Indices
  objTOC.addItem("ID_55591967", 2, "3.4.3. Improving Efficiency of Vertex Indices", "Pages/Page_55591967.html", "PageId_55591989");

// 3.4.4. Updating Buffers
  objTOC.addItem("ID_55591967", 2, "3.4.4. Updating Buffers", "Pages/Page_55591967.html", "PageId_55591990");

// 3.4.5. Using Interleaved Arrays
  objTOC.addItem("ID_55591967", 2, "3.4.5. Using Interleaved Arrays", "Pages/Page_55591967.html", "PageId_55591991");

// 3.4.6. Reducing Texture Sizes
  objTOC.addItem("ID_55591967", 2, "3.4.6. Reducing Texture Sizes", "Pages/Page_55591967.html", "PageId_55591992");

// 3.4.7. Using Mipmaps (Important)
  objTOC.addItem("ID_55591967", 2, "3.4.7. Using Mipmaps (Important)", "Pages/Page_55591967.html", "PageId_55591993");

// 3.4.8. Using the ETC1 Texture Format (Important)
  objTOC.addItem("ID_55591967", 2, "3.4.8. Using the ETC1 Texture Format (Important)", "Pages/Page_55591967.html", "PageId_55591994");

// 3.4.9. Texture Image Layout Orientation (Important)
  objTOC.addItem("ID_55591967", 2, "3.4.9. Texture Image Layout Orientation (Important)", "Pages/Page_55591967.html", "PageId_55591995");

// 3.4.10. Differences Between nngxUpdateBuffer and nngxUpdateBufferLight (Important)
  objTOC.addItem("ID_55591967", 2, "3.4.10. Differences Between nngxUpdateBuffer and nngxUpdateBufferLight (Important)", "Pages/Page_55591967.html", "PageId_55594786");

// 3.4.10.1. The nngxAddVramDmaCommand and nngxAddVramDmaCommandNoCacheFlush Functions
  objTOC.addItem("ID_55591967", 3, "3.4.10.1. The nngxAddVramDmaCommand and nngxAddVramDmaCommandNoCacheFlush Functions", "Pages/Page_55591967.html", "PageId_55594792");

// 3.4.11. Vertex Data Loading and Vertex Shader Processing
  objTOC.addItem("ID_55591967", 2, "3.4.11. Vertex Data Loading and Vertex Shader Processing", "Pages/Page_55591967.html", "PageId_55591998");

// 3.4.12. Effect of Combinations of Vertex Attribute on the Vertex Data Transfer Rate
  objTOC.addItem("ID_55591967", 2, "3.4.12. Effect of Combinations of Vertex Attribute on the Vertex Data Transfer Rate", "Pages/Page_55591967.html", "PageId_55591999");

// 3.4.13. Address Alignment of the Vertex Array
  objTOC.addItem("ID_55591967", 2, "3.4.13. Address Alignment of the Vertex Array", "Pages/Page_55591967.html", "PageId_55592000");

// 3.5. Fragment Shaders
  objTOC.addItem("ID_55591967", 1, "3.5. Fragment Shaders", "Pages/Page_55591967.html", "PageId_55592001");

// 3.5.1. Number of Fragment Lights
  objTOC.addItem("ID_55591967", 2, "3.5.1. Number of Fragment Lights", "Pages/Page_55591967.html", "PageId_55592002");

// 3.5.2. Layer Configuration (Important)
  objTOC.addItem("ID_55591967", 2, "3.5.2. Layer Configuration (Important)", "Pages/Page_55591967.html", "PageId_55592003");

// 3.5.3. Unused Texture Unit Settings (Important)
  objTOC.addItem("ID_55591967", 2, "3.5.3. Unused Texture Unit Settings (Important)", "Pages/Page_55591967.html", "PageId_55592004");

// 3.5.4. Interpolation Between Mipmap Levels
  objTOC.addItem("ID_55591967", 2, "3.5.4. Interpolation Between Mipmap Levels", "Pages/Page_55591967.html", "PageId_55592005");

// 3.5.5. Using or Not Using Blend Operations
  objTOC.addItem("ID_55591967", 2, "3.5.5. Using or Not Using Blend Operations", "Pages/Page_55591967.html", "PageId_55592006");

// 3.6. Framebuffers and Display Buffers
  objTOC.addItem("ID_55591967", 1, "3.6. Framebuffers and Display Buffers", "Pages/Page_55591967.html", "PageId_55592007");

// 3.6.1. Avoiding the Use of glClear
  objTOC.addItem("ID_55591967", 2, "3.6.1. Avoiding the Use of glClear", "Pages/Page_55591967.html", "PageId_55592008");

// 3.6.2. Render Buffer Location (Important)
  objTOC.addItem("ID_55591967", 2, "3.6.2. Render Buffer Location (Important)", "Pages/Page_55591967.html", "PageId_55592009");

// 3.6.3. Sharing Framebuffers to Conserve VRAM (Important)
  objTOC.addItem("ID_55591967", 2, "3.6.3. Sharing Framebuffers to Conserve VRAM (Important)", "Pages/Page_55591967.html", "PageId_55592010");

// 3.6.4. Display Buffer Placement
  objTOC.addItem("ID_55591967", 2, "3.6.4. Display Buffer Placement", "Pages/Page_55591967.html", "PageId_55592011");

// 4. Compiler
  objTOC.addHeader("ID_55592012", 0, "4. Compiler", "Pages/Page_55592012.html", "");

// 4.1. Coding With Optimization in Mind
  objTOC.addItem("ID_55592012", 1, "4.1. Coding With Optimization in Mind", "Pages/Page_55592012.html", "PageId_55592013");

// 4.1.1. Using the __restrict Keyword
  objTOC.addItem("ID_55592012", 2, "4.1.1. Using the __restrict Keyword", "Pages/Page_55592012.html", "PageId_55592014");

// 4.1.2. Using the register Modifier
  objTOC.addItem("ID_55592012", 2, "4.1.2. Using the register Modifier", "Pages/Page_55592012.html", "PageId_55592015");

// 4.1.3. Using Inline Assembly Code
  objTOC.addItem("ID_55592012", 2, "4.1.3. Using Inline Assembly Code", "Pages/Page_55592012.html", "PageId_55592016");

// 4.1.4. Optimization Warnings
  objTOC.addItem("ID_55592012", 2, "4.1.4. Optimization Warnings", "Pages/Page_55592012.html", "PageId_55592017");

// 4.2. Tuning Assembly Levels
  objTOC.addItem("ID_55592012", 1, "4.2. Tuning Assembly Levels", "Pages/Page_55592012.html", "PageId_55592018");

// 4.2.1. Referencing Disassembly Listings
  objTOC.addItem("ID_55592012", 2, "4.2.1. Referencing Disassembly Listings", "Pages/Page_55592012.html", "PageId_55592019");

// 4.2.2. Analyzing CPU Stalls
  objTOC.addItem("ID_55592012", 2, "4.2.2. Analyzing CPU Stalls", "Pages/Page_55592012.html", "PageId_55592020");

// 4.3. Reducing General Processing
  objTOC.addItem("ID_55592012", 1, "4.3. Reducing General Processing", "Pages/Page_55592012.html", "PageId_55592021");

// 5. Synchronization Objects
  objTOC.addHeader("ID_55592022", 0, "5. Synchronization Objects", "Pages/Page_55592022.html", "");

// 5.1. Mutex and Critical Section Objects
  objTOC.addItem("ID_55592022", 1, "5.1. Mutex and Critical Section Objects", "Pages/Page_55592022.html", "PageId_55592023");

// 5.2. Event and LightEvent Objects
  objTOC.addItem("ID_55592022", 1, "5.2. Event and LightEvent Objects", "Pages/Page_55592022.html", "PageId_55592024");

// 5.3. Semaphore and LightSemaphore Objects
  objTOC.addItem("ID_55592022", 1, "5.3. Semaphore and LightSemaphore Objects", "Pages/Page_55592022.html", "PageId_55592025");

// 6. File System
  objTOC.addHeader("ID_55592026", 0, "6. File System", "Pages/Page_55592026.html", "");

// 6.1. ROM Archive
  objTOC.addItem("ID_55592026", 1, "6.1. ROM Archive", "Pages/Page_55592026.html", "PageId_55592027");

// 6.1.1. Batch Read
  objTOC.addItem("ID_55592026", 2, "6.1.1. Batch Read", "Pages/Page_55592026.html", "PageId_55592028");

// 6.1.2. Stream Reads
  objTOC.addItem("ID_55592026", 2, "6.1.2. Stream Reads", "Pages/Page_55592026.html", "PageId_55592029");

// 6.2. Save Data
  objTOC.addItem("ID_55592026", 1, "6.2. Save Data", "Pages/Page_55592026.html", "PageId_55592030");

// 6.2.1. Reading
  objTOC.addItem("ID_55592026", 2, "6.2.1. Reading", "Pages/Page_55592026.html", "PageId_55592031");

// 6.2.2. Writing
  objTOC.addItem("ID_55592026", 2, "6.2.2. Writing", "Pages/Page_55592026.html", "PageId_55592032");

// 6.2.3. Mounting
  objTOC.addItem("ID_55592026", 2, "6.2.3. Mounting", "Pages/Page_55592026.html", "PageId_55592033");

// 6.2.4. Deleting Files
  objTOC.addItem("ID_55592026", 2, "6.2.4. Deleting Files", "Pages/Page_55592026.html", "PageId_55592034");

// 6.3. Extended Save Data
  objTOC.addItem("ID_55592026", 1, "6.3. Extended Save Data", "Pages/Page_55592026.html", "PageId_55592035");

// 6.3.1. Mounting
  objTOC.addItem("ID_55592026", 2, "6.3.1. Mounting", "Pages/Page_55592026.html", "PageId_55592036");

// 6.3.2. Creating Files
  objTOC.addItem("ID_55592026", 2, "6.3.2. Creating Files", "Pages/Page_55592026.html", "PageId_55592037");

// 6.3.3. Reading Files
  objTOC.addItem("ID_55592026", 2, "6.3.3. Reading Files", "Pages/Page_55592026.html", "PageId_55592038");

// 6.3.4. Writing Files
  objTOC.addItem("ID_55592026", 2, "6.3.4. Writing Files", "Pages/Page_55592026.html", "PageId_55592039");

// 6.3.5. Deleting Files
  objTOC.addItem("ID_55592026", 2, "6.3.5. Deleting Files", "Pages/Page_55592026.html", "PageId_55592040");

// 6.4. ROM Archives (Downloadable Applications)
  objTOC.addItem("ID_55592026", 1, "6.4. ROM Archives (Downloadable Applications)", "Pages/Page_55592026.html", "PageId_55592041");

// 6.4.1. Batch Read
  objTOC.addItem("ID_55592026", 2, "6.4.1. Batch Read", "Pages/Page_55592026.html", "PageId_55592042");

// 6.4.2. Stream Reads
  objTOC.addItem("ID_55592026", 2, "6.4.2. Stream Reads", "Pages/Page_55592026.html", "PageId_55592043");

// 6.5. Save Data (Downloadable Applications)
  objTOC.addItem("ID_55592026", 1, "6.5. Save Data (Downloadable Applications)", "Pages/Page_55592026.html", "PageId_55592044");

// 6.5.1. Reading
  objTOC.addItem("ID_55592026", 2, "6.5.1. Reading", "Pages/Page_55592026.html", "PageId_55592045");

// 6.5.2. Writing
  objTOC.addItem("ID_55592026", 2, "6.5.2. Writing", "Pages/Page_55592026.html", "PageId_55592046");

// 6.5.3. Mounting
  objTOC.addItem("ID_55592026", 2, "6.5.3. Mounting", "Pages/Page_55592026.html", "PageId_55592047");

// 6.5.4. Deleting Files
  objTOC.addItem("ID_55592026", 2, "6.5.4. Deleting Files", "Pages/Page_55592026.html", "PageId_55592048");

// 6.6. Flushing File Write Operations (Important)
  objTOC.addItem("ID_55592026", 1, "6.6. Flushing File Write Operations (Important)", "Pages/Page_55592026.html", "PageId_55592049");

// 6.7. Performance of SD Cards Packaged With the System (Important)
  objTOC.addItem("ID_55592026", 1, "6.7. Performance of SD Cards Packaged With the System (Important)", "Pages/Page_55592026.html", "PageId_55592050");

// 7. Processing Handled by the System Core
  objTOC.addHeader("ID_55592051", 0, "7. Processing Handled by the System Core", "Pages/Page_55592051.html", "");

// 7.1. Processing in the System Core
  objTOC.addItem("ID_55592051", 1, "7.1. Processing in the System Core", "Pages/Page_55592051.html", "PageId_55592058");

// 7.1.1. Changing the Priority of Graphics Processing
  objTOC.addItem("ID_55592051", 2, "7.1.1. Changing the Priority of Graphics Processing", "Pages/Page_55592051.html", "PageId_55592059");

// 7.1.2. Cautions When Using the System Core
  objTOC.addItem("ID_55592051", 2, "7.1.2. Cautions When Using the System Core", "Pages/Page_55592051.html", "PageId_55592060");

// 7.1.3. Resetting the Allocated Time (Important)
  objTOC.addItem("ID_55592051", 2, "7.1.3. Resetting the Allocated Time (Important)", "Pages/Page_55592051.html", "PageId_55592063");

// 8. Appendix
  objTOC.addHeader("ID_55592064", 0, "8. Appendix", "Pages/Page_55592064.html", "");

// 8.1. Profiling CPU and GPU Operations
  objTOC.addItem("ID_55592064", 1, "8.1. Profiling CPU and GPU Operations", "Pages/Page_55592064.html", "PageId_55592065");

// 8.2. Reducing the Processing Load to Display Model Data (Important)
  objTOC.addItem("ID_55592064", 1, "8.2. Reducing the Processing Load to Display Model Data (Important)", "Pages/Page_55592064.html", "PageId_55592066");

// 8.3. Hardware Configuration
  objTOC.addItem("ID_55592064", 1, "8.3. Hardware Configuration", "Pages/Page_55592064.html", "PageId_55592067");

// 8.3.1. CPU
  objTOC.addItem("ID_55592064", 2, "8.3.1. CPU", "Pages/Page_55592064.html", "PageId_55592068");

// 8.3.2. Main Memory
  objTOC.addItem("ID_55592064", 2, "8.3.2. Main Memory", "Pages/Page_55592064.html", "PageId_55592069");

// 8.3.3. DMA
  objTOC.addItem("ID_55592064", 2, "8.3.3. DMA", "Pages/Page_55592064.html", "PageId_55592070");

// 8.3.4. Main Bus
  objTOC.addItem("ID_55592064", 2, "8.3.4. Main Bus", "Pages/Page_55592064.html", "PageId_55592071");

// 8.3.5. GPU
  objTOC.addItem("ID_55592064", 2, "8.3.5. GPU", "Pages/Page_55592064.html", "PageId_55592072");

// 8.3.6. LCD
  objTOC.addItem("ID_55592064", 2, "8.3.6. LCD", "Pages/Page_55592064.html", "PageId_55592073");

// 8.4. GPU Profiling Feature
  objTOC.addItem("ID_55592064", 1, "8.4. GPU Profiling Feature", "Pages/Page_55592064.html", "PageId_55592074");

// 8.5. Notes for Using the DMPGL
  objTOC.addItem("ID_55592064", 1, "8.5. Notes for Using the DMPGL", "Pages/Page_55592064.html", "PageId_55592075");

// 8.5.1. Maintaining Internal State Consistency
  objTOC.addItem("ID_55592064", 2, "8.5.1. Maintaining Internal State Consistency", "Pages/Page_55592064.html", "PageId_55592076");

// 8.5.2. Removing the Use of glGetUniformLocation (Important)
  objTOC.addItem("ID_55592064", 2, "8.5.2. Removing the Use of glGetUniformLocation (Important)", "Pages/Page_55592064.html", "PageId_55592077");

// 8.5.3. Cost of Switching Programs With glUseProgram
  objTOC.addItem("ID_55592064", 2, "8.5.3. Cost of Switching Programs With glUseProgram", "Pages/Page_55592064.html", "PageId_55592078");

// 8.5.4. Cost of Calling glUseProgram(0)
  objTOC.addItem("ID_55592064", 2, "8.5.4. Cost of Calling glUseProgram(0)", "Pages/Page_55592064.html", "PageId_55592079");

// 8.5.5. Notes About the transpose Parameter of glUniformMatrix
  objTOC.addItem("ID_55592064", 2, "8.5.5. Notes About the transpose Parameter of glUniformMatrix", "Pages/Page_55592064.html", "PageId_55592080");

// 8.5.6. Using Textures in the Native PICA Format
  objTOC.addItem("ID_55592064", 2, "8.5.6. Using Textures in the Native PICA Format", "Pages/Page_55592064.html", "PageId_55592081");

// 8.5.7. Setting Uniforms for Vertex Shaders
  objTOC.addItem("ID_55592064", 2, "8.5.7. Setting Uniforms for Vertex Shaders", "Pages/Page_55592064.html", "PageId_55592082");

// 8.5.8. Updating Buffers
  objTOC.addItem("ID_55592064", 2, "8.5.8. Updating Buffers", "Pages/Page_55592064.html", "PageId_55592083");

// 8.5.9. Validation
  objTOC.addItem("ID_55592064", 2, "8.5.9. Validation", "Pages/Page_55592064.html", "PageId_55592084");

// 8.5.10. Functions That Issue Command Requests
  objTOC.addItem("ID_55592064", 2, "8.5.10. Functions That Issue Command Requests", "Pages/Page_55592064.html", "PageId_55592085");

// 8.6. Functions That Cause System Blocking
  objTOC.addItem("ID_55592064", 1, "8.6. Functions That Cause System Blocking", "Pages/Page_55592064.html", "PageId_55592086");

// 8.7. FS Library Performance Details
  objTOC.addItem("ID_55592064", 1, "8.7. FS Library Performance Details", "Pages/Page_55592064.html", "PageId_55592087");

// 8.7.1. ROM Archive
  objTOC.addItem("ID_55592064", 2, "8.7.1. ROM Archive", "Pages/Page_55592064.html", "PageId_55592088");

// 8.7.1.1. Batch Read
  objTOC.addItem("ID_55592064", 3, "8.7.1.1. Batch Read", "Pages/Page_55592064.html", "PageId_55592089");

// 8.7.1.2. Stream Reads
  objTOC.addItem("ID_55592064", 3, "8.7.1.2. Stream Reads", "Pages/Page_55592064.html", "PageId_55592090");

// 8.7.2. Save Data
  objTOC.addItem("ID_55592064", 2, "8.7.2. Save Data", "Pages/Page_55592064.html", "PageId_55592091");

// 8.7.2.1. Read
  objTOC.addItem("ID_55592064", 3, "8.7.2.1. Read", "Pages/Page_55592064.html", "PageId_55592092");

// 8.7.2.2. Writing
  objTOC.addItem("ID_55592064", 3, "8.7.2.2. Writing", "Pages/Page_55592064.html", "PageId_55592093");

// 8.7.2.3. Mounting
  objTOC.addItem("ID_55592064", 3, "8.7.2.3. Mounting", "Pages/Page_55592064.html", "PageId_55592094");

// 8.7.2.4. Deleting Files
  objTOC.addItem("ID_55592064", 3, "8.7.2.4. Deleting Files", "Pages/Page_55592064.html", "PageId_55592095");

// 8.7.3. Extended Save Data
  objTOC.addItem("ID_55592064", 2, "8.7.3. Extended Save Data", "Pages/Page_55592064.html", "PageId_55592096");

// 8.7.3.1. Mounting
  objTOC.addItem("ID_55592064", 3, "8.7.3.1. Mounting", "Pages/Page_55592064.html", "PageId_55592097");

// 8.7.3.2. Creating Files
  objTOC.addItem("ID_55592064", 3, "8.7.3.2. Creating Files", "Pages/Page_55592064.html", "PageId_55592098");

// 8.7.3.3. Loading Files
  objTOC.addItem("ID_55592064", 3, "8.7.3.3. Loading Files", "Pages/Page_55592064.html", "PageId_55592099");

// 8.7.3.4. Writing Files
  objTOC.addItem("ID_55592064", 3, "8.7.3.4. Writing Files", "Pages/Page_55592064.html", "PageId_55592100");

// 8.7.3.5. Deleting Files
  objTOC.addItem("ID_55592064", 3, "8.7.3.5. Deleting Files", "Pages/Page_55592064.html", "PageId_55592101");

// 8.7.4. ROM Archives (Downloadable Applications)
  objTOC.addItem("ID_55592064", 2, "8.7.4. ROM Archives (Downloadable Applications)", "Pages/Page_55592064.html", "PageId_55592102");

// 8.7.4.1. Batch Read
  objTOC.addItem("ID_55592064", 3, "8.7.4.1. Batch Read", "Pages/Page_55592064.html", "PageId_55592103");

// 8.7.4.2. Stream Reads
  objTOC.addItem("ID_55592064", 3, "8.7.4.2. Stream Reads", "Pages/Page_55592064.html", "PageId_55592104");

// 8.7.5. Save Data (Downloadable Applications)
  objTOC.addItem("ID_55592064", 2, "8.7.5. Save Data (Downloadable Applications)", "Pages/Page_55592064.html", "PageId_55592105");

// 8.7.5.1. Read
  objTOC.addItem("ID_55592064", 3, "8.7.5.1. Read", "Pages/Page_55592064.html", "PageId_55592106");

// 8.7.5.2. Writing
  objTOC.addItem("ID_55592064", 3, "8.7.5.2. Writing", "Pages/Page_55592064.html", "PageId_55592107");

// 8.7.5.3. Mounting
  objTOC.addItem("ID_55592064", 3, "8.7.5.3. Mounting", "Pages/Page_55592064.html", "PageId_55592108");

// 8.7.5.4. Deleting Files
  objTOC.addItem("ID_55592064", 3, "8.7.5.4. Deleting Files", "Pages/Page_55592064.html", "PageId_55592109");

// 8.7.6. Comparison of CTR Flash Cards and CARD2
  objTOC.addItem("ID_55592064", 2, "8.7.6. Comparison of CTR Flash Cards and CARD2", "Pages/Page_55592064.html", "PageId_55592114");

// 8.7.6.1. ROM Archive
  objTOC.addItem("ID_55592064", 3, "8.7.6.1. ROM Archive", "Pages/Page_55592064.html", "PageId_55592115");

// 8.7.6.2. Save Data
  objTOC.addItem("ID_55592064", 3, "8.7.6.2. Save Data", "Pages/Page_55592064.html", "PageId_55592116");
  objTOC.addSeparator();
  objTOC.addGuidelineSection("Revision History", 0, "Revision History", "history.html", "");

  objTOC.processTreeData();
  Reassemble.objectTocData = objTOC;
}
